{* 
//////
//    @version [ Berkeley ]
//    @package hwdPhotoShare
//    @copyright (C) 2007 - 2009 Highwood Design
//    @license http://creativecommons.org/licenses/by-nc-nd/3.0/
//////
*}

{include file='header.tpl'}

<div class="sic-container">
  
{if $print_album_display}
  <div class="sic-center">
{/if}  
    <div style="float:right;padding:5px;">
    {include file='navigation_selects.tpl'}
    </div>
    
    {if $print_featured_photos}
    <div class="standard">
      <h2>{$smarty.const._HWDPS_EXPLORE}</h2>
        <div class="paddings">
	{if $list_featured_photos}
	
  <div id="{$featured_iCID}">
     <ul id="{$featured_iCID}_content">  
       {foreach name=outer item=data from=$list_featured_photos}
         <li class="{$featured_iCID}_item"><a href="{$data->photo_link}"><div class="photopad"><div class="photowrap"><img src="{$data->photo_url}" id="slide{$data->i}" alt="Slide {$data->i}" style="margin: auto;" /></div></div></a></li> 
       {/foreach}
     </ul>  
     <div id="{$featured_iCID}_frame" class="featuredframes">  
         <ul>  
           {foreach name=outer item=data from=$list_featured_photos}
             <li><a href="#"><img id="thumb{$data->i}" src="{$data->thumbnail_url}" alt="thumbnail {$data->i}" style="max-width:{$featured_resize_thumb}px;max-height:{$featured_resize_thumb}px;" /></a></li>  
           {/foreach}
         </ul>  
     </div>  
 </div>
	  
	{else}
	  {$smarty.const._HWDPS_INFO_NUP}
	{/if}
        <div style="text-align:right;padding:5px;"><a href="{$link_featured}" title="{$smarty.const._HWDPS_MOREFEATP}">{$smarty.const._HWDPS_MOREFEATP}</a></div>
	</div>
    </div>
    {/if}
 
    {if $print_recent_tags}
    <div class="standard">
      <h2>{$smarty.const._HWDPS_TAGS}</h2>
        <div class="padding">
	    {foreach name=loop01 item=tag from=$list_recent_tags}
		<a href="{$tag->link}" style="font-size:{$tag->size}%;font-weight:normal;padding: 0 5px 0 0;">{$tag->tag}</a>
	    {/foreach}
	</div>
    </div>
    {/if}

{if $print_album_display}
  </div>

   <div class="sic-right">
		
    {if $print_recent_albums}
    <div class="standard">
      <h2>{$smarty.const._HWDPS_RECENTALBUMS}</h2>
        <div class="padding">
		{if $list_recent_albums}
    {foreach name=outer item=data from=$list_recent_albums}
          <div class="fpAlbumBox">
	  {include file="album_list_mini.tpl"}
	  </div>
	  {if $smarty.foreach.outer.last}
	     <div style="clear:both;"></div>
	  {elseif $smarty.foreach.outer.index % $fp_apr-($fp_apr-1) == 0}
	     <div style="clear:both;"></div>
	  {/if}
    {/foreach}
		{else}
		  {$smarty.const._HWDPS_INFO_NRA}
		{/if}
        
	  <div style="padding:5px;clear:both;">
            <div style="float:right;"><a href="{$link_albums}" title="{$smarty.const._HWDPS_VIEWALL}">{$smarty.const._HWDPS_VIEWALL}</a></div>
	    {$pageNavigation}
	  </div>
	  <div style="clear:both;"></div>
	</div>
    </div>
    {/if}

    {if $print_ads}{if $advert4}<div class="standard"><div class="padding"><div id="hwdadverts-nopadding">{$advert4}</div></div></div>{/if}{/if}
  
  </div>
{/if}

  <div style="clear:both;"></div>
    
  {if $print_ads}{if $advert3}<div class="standard"><div class="padding"><div id="hwdadverts-nopadding">{$advert3}</div></div></div>{/if}{/if}

    {if $print_recent_photos}
    <div class="standard">
      <h2>{$smarty.const._HWDPS_RECENTPHOTOS}</h2>
        <div class="padding">

	{if $list_recent_photos}
	<div id="{$recent_iCID}_frame"><img id="{$recent_iCID}_next" src="{$URL_HWDPS_IMAGES}arrow_next.png" alt="Next" style="padding: 5px 5px 5px 0;" /><img id="{$recent_iCID}_prev" src="{$URL_HWDPS_IMAGES}arrow_prev.png" alt="Previous" style="padding: 5px 0;" /></div>

	<center>
    
	  <div id="{$recent_iCID}">

	      <ul id="{$recent_iCID}_content">  
		{foreach name=outer item=data from=$list_recent_photos}
             	  <li class="{$recent_iCID}_item">{$data->thumbnail}</li>  
		{/foreach}
	       </ul>  

	  </div> 

	</center>
	  
	{else}
	  {$smarty.const._HWDPS_INFO_NUP}
	{/if}
        <div style="text-align:right;padding:5px;"><a href="{$link_photos}" title="{$smarty.const._HWDPS_VIEWALL}">{$smarty.const._HWDPS_VIEWALL}</a></div>
	</div>
    </div>
    {/if}
    
  {if $print_recent_groups}
  <div class="standard">
      <h2>{$smarty.const._HWDPS_GROUPS}</h2>

      {foreach name=outer item=data from=$list_recent_groups}
          <div class="groupBox">
	  {include file="group_list.tpl"}
	  </div>
	  {if $smarty.foreach.outer.last}
	     <div style="clear:both;"></div>
	  {elseif $smarty.foreach.outer.index % $gpr-($gpr-1) == 0}
	     <div style="clear:both;"></div>
	  {/if}
      {/foreach}
      
        <div style="text-align:right;padding:5px;"><a href="{$link_groups}" title="{$smarty.const._HWDPS_VIEWALL}">{$smarty.const._HWDPS_VIEWALL}</a></div>
  </div>
  {/if}
    
</div>

{include file="footer.tpl"}
