{* 
//////
//    @version [ Berkeley ]
//    @package hwdPhotoShare
//    @copyright (C) 2007 - 2009 Highwood Design
//    @license http://creativecommons.org/licenses/by-nc-nd/3.0/
//////
*}

{include file="header.tpl"}

<div class="standard">
	<h2>Photo Exif</h2>
  	<div class="sic-container">
  		<div class="sic-center" style="width:65%!important;">
  			<div class="padding">
				{foreach name=outer item=section from=$exif}
					
					<h3>{$section}</h3>
					<table width="100%" cellspacing="0" cellpadding="0">
						<tbody>
							{foreach key=key item=item from=$section}
								<tr>
									<th>
										{$key}
									</th>
									<td>
										{$item}
									</td>
								</tr>
							{/foreach}
						</tbody>
					</table>
				{/foreach}
			<div>
		</div>
		<div class="sic-right">
		
			Thumbnail
			<h2>What is Exif data?</h2>
			<div class="padding">
				<p>Exif data is a record of the settings a camera used to take a photo or video. This information is embedded into the files the camera saves, and we read and display it here.</p>
			</div>
 
		</div>
	</div>
</div>
<div style="clear:both;"></div>

{include file="footer.tpl"}



