<?php 
/*
	JoomlaXTC XTC Template Overrides

	Copyright (C) 2011  Monev Software LLC.	All Rights Reserved.
	
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	THIS LICENSE MIGHT NOT APPLY TO OTHER FILES CONTAINED IN THE SAME PACKAGE.
	
	Monev Software LLC
	www.joomlaxtc.com
*/

defined('_JEXEC') or die;
?>
<style type="text/css">
.description img{ padding-right:10px;}
.joomlatable tr{ margin-bottom:10px;}
.odd, .even{ width:100%;border:1px solid #EEEEEE; margin-top:10px;}
.joomlatable tr{ margin-bottom:10px;border-bottom:1px solid #EEEEEE;}
.joomlatable td,.joomlatable th{ padding:5px;}

</style>

<div style=" display:table; width:100%; " class="joomla <?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
	<div class="contact">

		<?php if ($this->params->get('show_page_title', 1)) : ?>
		<h2 style="width:100%; clear:both;" class="contentheading">
			<?php echo $this->escape($this->params->get('page_title')); ?>
		</h2>
		<?php endif; ?>

		<?php if ($this->category->image || $this->category->description) : ?>
		<div style="width:100%;clear:both; padding-bottom:10px; float:left;margin-top:10px; margin-bottom:10px;" class="description">
			<?php if ($this->params->get('image') != -1 && $this->params->get('image') != '') : ?>
				<img class="<?php echo $this->params->get('image_align'); ?>" src="<?php echo $this->baseurl .'/'. 'images/stories' . '/'. $this->params->get('image'); ?>"  alt="<?php echo JText::_( 'Contacts' ); ?>" />
			<?php elseif ($this->category->image) : ?>
				<img class="<?php echo $this->category->image_position; ?>" src="<?php echo $this->baseurl .'/'. 'images/stories' . '/'. $this->category->image; ?>" alt="<?php echo JText::_( 'Contacts' ); ?>" />
			<?php endif; ?>
			<?php if ($this->category->description) : ?>
				<?php echo $this->category->description; ?>
			<?php endif; ?>
		</div>
		<?php endif; ?>

		<script language="javascript" type="text/javascript">
			function tableOrdering( order, dir, task ) {
			var form = document.adminForm;
		
			form.filter_order.value 	= order;
			form.filter_order_Dir.value	= dir;
			document.adminForm.submit( task );
		}
		</script>
		
<form action="<?php echo $this->action; ?>" method="post" name="adminForm">




<?php if ($this->params->get('show_limit')) : ?>
<div style="float:left; width:100%; margin-left:-15px; padding-right:14px;" class="filter">
	<?php echo JText::_('Display Num') .'&nbsp;'; ?>
	<?php echo $this->pagination->getLimitBox(); ?>
</div>
<?php endif; ?>
<div style="width:100%; float:left;">
	<table cellpadding="0" cellspacing="0" width="100%" border="0" class="joomlatable">
	<?php if ($this->params->get( 'show_headings' )) : ?>
		<tr style="width:100%;border:1px solid #eee;" class="filter">
			<th width="5" align="right">
				<?php echo JText::_('Num'); ?>
			</th>
			<th align="left">
				<?php echo JHTML::_('grid.sort',  'Name', 'cd.name', $this->lists['order_Dir'], $this->lists['order'] ); ?>
			</th>
			<?php if ( $this->params->get( 'show_position' ) ) : ?>
			<th align="left">
				<?php echo JHTML::_('grid.sort',  'Position', 'cd.con_position', $this->lists['order_Dir'], $this->lists['order'] ); ?>
			</th>
			<?php endif; ?>
			<?php if ( $this->params->get( 'show_email' ) ) : ?>
			<th width="20%" align="left">
				<?php echo JText::_( 'Email' ); ?>
			</th>
			<?php endif; ?>
			<?php if ( $this->params->get( 'show_telephone' ) ) : ?>
			<th width="15%" align="left">
				<?php echo JText::_( 'Phone' ); ?>
			</th>
			<?php endif; ?>
			<?php if ( $this->params->get( 'show_mobile' ) ) : ?>
			<th width="15%" align="left">
				<?php echo JText::_( 'Mobile' ); ?>
			</th>
			<?php endif; ?>
			<?php if ( $this->params->get( 'show_fax' ) ) : ?>
			<th width="15%" align="left">
				<?php echo JText::_( 'Fax' ); ?>
			</th>
			<?php endif; ?>
		</tr>
	<?php endif; ?>
	
	<?php echo $this->loadTemplate('items'); ?>
</table>
</div>
<div class="pagination">
	<p class="results">
		<?php echo $this->pagination->getPagesCounter(); ?>
	</p>
	<?php echo $this->pagination->getPagesLinks(); ?>
</div>

<input type="hidden" name="option" value="com_contact" />
<input type="hidden" name="catid" value="<?php echo $this->category->id;?>" />
<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
<input type="hidden" name="filter_order_Dir" value="" />
<input type="hidden" name="viewcache" value="0" />
</form>

	</div>
</div>
