<?php
/**
 * @version 1.0 $Id: default.php 1023 2009-04-27 15:21:09Z julienv $
 * @package Joomla
 * @subpackage EventList
 * @copyright (C) 2005 - 2009 Christoph Lukes
 * @license GNU/GPL, see LICENSE.php
 * EventList is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * EventList is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with EventList; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

?>
<div id="eventlist" class="event_id<?php echo $this->row->did; ?> el_details">

	<p class="buttons">
			<?php echo ELOutput::mailbutton( $this->row->slug, 'details', $this->params ); ?>
			<?php echo ELOutput::printbutton( $this->print_link, $this->params ); ?>
	</p>

<?php if ($this->params->def( 'show_page_title', 1 )) : ?>
	<h2 class="componentheading">
		<?php echo $this->params->get('page_title'); ?>
	</h2>
<?php endif; ?>




	<div style="clear:both;"></div>
    <div class="event-list-items" style="float:left;width: 25%;margin-right:7px;">
     <!--<div class="event-list-items-pad">-->
     <div style="margin-left: -0.8em;">           
	<?php //flyer
		echo ELOutput::flyer( $this->row, $this->limage );
		echo'<div style="clear:both;"></div>';
		echo ELOutput::mapicon( $this->row );
		?>		
	</div>
  

<!-- Details EVENT -->
	<dl class="event_info floattext">

		
  		<h2 class="eventlist"><?php echo JText::_( 'WHEN' ).':'; ?>
	
			<?php
			echo ELOutput::formatdate($this->row->dates, $this->row->times);
    					
    		if ($this->row->enddates) :
    			echo ' - '.ELOutput::formatdate($this->row->enddates, $this->row->endtimes);
    		endif;
    		
    		if ($this->elsettings->showtimedetails == 1) :
    	
				echo '&nbsp;'.ELOutput::formattime($this->row->dates, $this->row->times);
						
				if ($this->row->endtimes) :
					echo ' - '.ELOutput::formattime($this->row->enddates, $this->row->endtimes);
				endif;
			endif;
			?></h2>

  		<?php
  		if ($this->row->locid != 0) :
  		?>
		   <h2 class="eventlist"><?php echo JText::_( 'WHERE' ).':'; ?>
		
    		<?php if (($this->elsettings->showdetlinkvenue == 1) && (!empty($this->row->url))) : ?>

			    <a href="<?php echo $this->row->url; ?>"><?php echo $this->escape($this->row->venue); ?></a> -

			<?php elseif ($this->elsettings->showdetlinkvenue == 2) : ?>

			    <a href="<?php echo JRoute::_( 'index.php?view=venueevents&id='.$this->row->venueslug ); ?>"><?php echo $this->row->venue; ?></a> -

			<?php elseif ($this->elsettings->showdetlinkvenue == 0) :

				echo $this->escape($this->row->venue).' - ';

			endif;

			echo $this->escape($this->row->city); ?>

			</h2>

		<?php endif; ?>

		<h2 class="eventlist"><?php echo JText::_( 'CATEGORY' ).':'; ?>
   
				<?php echo "<a href='".JRoute::_( 'index.php?view=categoryevents&id='.$this->row->categoryslug )."'>".$this->escape($this->row->catname)."</a>";?></h2>
   
	<?php
	// is a plugin catching the display of creator ?
  $obj = new stdClass();
  // is a plugin catching this ?
  if ($res = $this->dispatcher->trigger( 'onEventCreatorDisplay', array( $this->row->created_by, $obj )))
  {
     ?>
    <h2 class="eventlist"><?php echo JText::_( 'PROPOSED BY' ).':'; ?></h2>
      
        <?php echo $obj->text;?>
    
     <?php
  }
  ?>
  
	</dl>
   <?php
			jimport( 'joomla.application.module.helper' );
			$attribs['style'] = 'xhtml';
			$modules =& JModuleHelper::getModules('el_detailsbanner');
			foreach ($modules as $module) {
				echo JModuleHelper::renderModule( $module, $attribs );
			}
   ?>
  
   <!-- </div>-->
    </div>
<!-- END of event summary section -->
	
  	<?php if ($this->elsettings->showevdescription == 1) : ?>
<div style="float:left;width: 70%; padding-left: 20px;">
  	<?php //flyer
	echo ELOutput::flyer( $this->row, $this->dimage, 'event' );
	?>  
     <div style="clear: both;"></div>
  		<div class="description event_desc">
        	
    <?php if ($this->elsettings->showdetailstitle == 1) : ?>
			<h2 class="eventitle">
    		<?php echo $this->escape($this->row->title); ?>
            </h2>
		<?php
  		endif;
  		?>
		<?php
    	
    	echo ''.ELOutput::editbutton($this->item->id, $this->row->did, $this->params, $this->allowedtoeditevent, 'editevent' );
    	?>
	
  			<?php echo $this->row->datdescription; ?>
  		</div>

  	<?php endif; ?>
</div>
<div style="clear: both;"></div>
<!--  	Venue  -->

	<?php if ($this->row->locid != 0) : ?>

		<h2 class="location">
			<?php echo JText::_( 'VENUE' ).':' ; ?>
            <?php echo "<a href='".JRoute::_( 'index.php?view=venueevents&id='.$this->row->venueslug )."'>".$this->escape($this->row->venue)."</a>"; ?>

				<?php if (!empty($this->row->url)) : ?>
					&nbsp; - &nbsp;
					<a href="<?php echo $this->row->url; ?>"> <?php echo JText::_( 'WEBSITE' ); ?></a>
				<?php
				endif;
				?>
  			<?php echo ELOutput::editbutton($this->item->id, $this->row->locid, $this->params, $this->allowedtoeditvenue, 'editvenue' ); ?>
		</h2>

		
        <div style="clear:both;"></div>
 <div class="event-list-items" style="float:left;width: 25%; ">
    <!--<div class="event-list-items-pad">-->
		<dl class="location floattext">
			
				
	

			<?php
  			if ( $this->elsettings->showdetailsadress == 1 ) :
  			?>

  				<?php if ( $this->row->street ) : ?>
  				<h2 class="eventlist"><?php echo JText::_( 'STREET' ).':'; ?>
		
    				<?php echo $this->escape($this->row->street); ?></h2>
		
				<?php endif; ?>

				<?php if ( $this->row->plz ) : ?>
  				<h2 class="eventlist"><?php echo JText::_( 'ZIP' ).':'; ?>
			
    				<?php echo $this->escape($this->row->plz); ?></h2>

				<?php endif; ?>

				<?php if ( $this->row->city ) : ?>
    			<h2 class="eventlist"><?php echo JText::_( 'CITY' ).':'; ?>
    		
    				<?php echo $this->escape($this->row->city); ?></h2>
    
    			<?php endif; ?>

    			<?php if ( $this->row->state ) : ?>
    			<h2 class="eventlist"><?php echo JText::_( 'STATE' ).':'; ?>
    				    				<?php echo $this->escape($this->row->state); ?></h2>
    	
				<?php endif; ?>

				<?php if ( $this->row->country ) : ?>
				<h2 class="eventlist"><?php echo JText::_( 'COUNTRY' ).':'; ?>
    		
    				<?php echo $this->row->countryimg ? $this->row->countryimg : $this->row->country; ?></h2>
    		
    			<?php endif; ?>
			<?php
			endif;
			?>
		</dl>
<!--</div>-->
</div>
		<?php if ($this->elsettings->showlocdescription == 1) :	?>
<div style="float:left;width: 70%; padding-left: 20px;">
			
  			<div class="description location_desc">
  				<?php echo $this->row->locdescription;	?>
  			</div>

		</div>
<?php endif; ?>

	<?php
	//row->locid !=0 end
	endif;
	?>
<div style="clear:both;"></div>
	<?php if ($this->row->registra == 1) : ?>

		<!-- Registration -->
		<?php echo $this->loadTemplate('attendees'); ?>

	<?php endif; ?>
	
	<?php if ($this->elsettings->commentsystem != 0 && !$this->params->get('pop', 0)) :	?>
	
		<!-- Comments -->
		<?php echo $this->loadTemplate('comments'); ?>
		
  	<?php endif; ?>

<p class="copyright">
	<?php echo ELOutput::footer( ); ?>
</p>
</div>