<?php
/**
 * @version 1.0 $Id: default.php 1021 2009-04-27 08:56:08Z julienv $
 * @package Joomla
 * @subpackage EventList
 * @copyright (C) 2005 - 2009 Christoph Lukes
 * @license GNU/GPL, see LICENSE.php
 * EventList is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * EventList is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with EventList; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );
?>
<div id="eventlist" class="el_venueevents">
<p class="buttons">
	<?php
		if ( !$this->params->get( 'popup' ) ) : //don't show in printpopup
			echo ELOutput::submitbutton( $this->dellink, $this->params );
			echo ELOutput::archivebutton( $this->params, $this->task, $this->venue->slug );
		endif;
		echo ELOutput::mailbutton( $this->venue->slug, 'venueevents', $this->params );
		echo ELOutput::printbutton( $this->print_link, $this->params );
	?>
</p>
<?php if ($this->params->def('show_page_title', 1)) : ?>
	<h2 class='componentheading'>
		<?php echo $this->escape($this->pagetitle); ?>
    <?php echo ELOutput::editbutton($this->item->id, $this->venue->id, $this->params, $this->allowedtoeditvenue, 'editvenue' ); ?>
	</h2>
<?php endif; ?>
<div style="float:left;width:30%;margin-top: 32px;">
	<!--Venue-->
	<?php //flyer
	echo ELOutput::flyer( $this->venue, $this->limage );
	echo ELOutput::mapicon( $this->venue );
	?>
</div>
<div style="float:left;width:65%;margin-top: 32px;">	

	<?php
  	if ($this->elsettings->showlocdescription == 1) :
	?>

		<h2 class="description">
		

		<?php if ( $this->elsettings->showdetailsadress == 1 ) : ?> 
<?php echo $this->escape($this->pagetitle); ?> :

  			<?php if ( $this->venue->street ) : ?>
  			
		
    			<?php echo $this->escape($this->venue->street); ?>, 
			
			<?php endif; ?>

			

			<?php if ( $this->venue->city ) : ?>
    	
    	
    			<?php echo $this->escape($this->venue->city); ?>, 
    	
    		<?php endif; ?>

    		<?php if ( $this->venue->state ) : ?>
		
			
    			<?php echo $this->escape($this->venue->state); ?>, 
			
			<?php endif; ?>
<?php if ( $this->venue->plz ) : ?>
  			
			
    			<?php echo $this->escape($this->venue->plz); ?> 
			
			<?php endif; ?>
			<?php if ( $this->venue->country ) : ?>
		
    		
    			<?php echo $this->venue->countryimg ? $this->venue->countryimg : $this->venue->country; ?>
    		
    		<?php endif; ?>
		<?php
		endif; //showdetails ende
		?>
	</h2>
	  	<div class="description no_space floattext">
	  		<?php echo $this->venuedescription;	?>
		</div>

	<?php endif; ?>
</div>
	<!--table-->

	<?php echo $this->loadTemplate('table'); ?>

	<p>
	<input type="hidden" name="option" value="com_eventlist" />
	<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
	<input type="hidden" name="filter_order_Dir" value="" />
	<input type="hidden" name="view" value="venueevents" />
	<input type="hidden" name="id" value="<?php echo $this->venue->id; ?>" />
	<input type="hidden" name="Itemid" value="<?php echo $this->item->id;?>" />
	</p>
	</form>

<!--pagination-->
<?php if (!$this->params->get( 'popup' ) ) : ?>
<div class="pageslinks">
	<?php echo $this->pageNav->getPagesLinks(); ?>
</div>

<p class="pagescounter">
	<?php echo $this->pageNav->getPagesCounter(); ?>
</p>
<?php endif; ?>
<!--copyright-->

<p class="copyright">
	<?php echo ELOutput::footer( ); ?>
</p>
</div>
