<?php
/**
 *    @version [ Berkeley ]
 *    @package hwdPhotoShare
 *    @copyright (C) 2007 - 2009 Highwood Design
 *    @license Creative Commons Attribution-Non-Commercial-No Derivative Works 3.0 Unported Licence
 *    @license http://creativecommons.org/licenses/by-nc-nd/3.0/
 */
defined( '_JEXEC' ) or die( 'Direct Access to this location is not allowed.' );

global $print_ulink, $print_glink, $smartyps, $hwdpsTemplateOverride, $j15, $j16;
$c = hwd_ps_Config::get_instance();
$app = & JFactory::getApplication();
$doc =& JFactory::getDocument();

jimport( 'joomla.html.parameter' );
$plugin =& JPluginHelper::getPlugin('hwdps-template', 'mixology');
$pluginParams = new JParameter( $plugin->params );
$hwdpsTemplateOverride['ppr'] = $pluginParams->def( 'ppr', '3' );
$hwdpsTemplateOverride['apr'] = $pluginParams->def( 'apr', '2' );
$hwdpsTemplateOverride['cpr'] = $pluginParams->def( 'cpr', '2' );
$hwdpsTemplateOverride['gpr'] = $pluginParams->def( 'gpr', '1' );
$hwdpsTemplateOverride['hideSubcats'] = $pluginParams->def( 'hideSubcats', '0' );
$hwdpsTemplateOverride['thumbStyleCategory'] = $pluginParams->def( 'thumbStyleCategory', '2' );
$hwdpsTemplateOverride['thumbStyleAlbum'] = $pluginParams->def( 'thumbStyleAlbum', '1' );
$hwdpsTemplateOverride['thumbStyleGroup'] = $pluginParams->def( 'thumbStyleGroup', '1' );
$hwdpsTemplateOverride['thumbStyleCarousel'] = $pluginParams->def( 'thumbStyleCarousel', '1' );
$hwdpsTemplateOverride['fp_apr'] = $pluginParams->def( 'fp_apr', '1' );
$hwdpsTemplateOverride['showPreview'] = $pluginParams->def( 'showPreview', '1' );
$hwdpsTemplateOverride['showFavourites'] = $pluginParams->def( 'showFavourites', '1' );
$hwdpsTemplateOverride['showReport'] = $pluginParams->def( 'showReport', '1' );
$hwdpsTemplateOverride['showEdit'] = $pluginParams->def( 'showEdit', '1' );

$template_folder = $app->getUserState( "com_hwdphotoshare.template_folder", '' );
$template_element = $app->getUserState( "com_hwdphotoshare.template_element", '' );
if (!empty($template_folder) && !empty($template_element))
{
	$c->hwdvids_template_path = $template_folder;
	$c->hwdvids_template_file = $template_element;
}
if (empty($c->hwdvids_template_file)) { $c->hwdvids_template_file = "mixology"; }
if ($j16)
{
	$templateDirectoryUrl = JURI::root( true ).'/plugins/hwdps-template/'.$c->hwdvids_template_file.'/'.$c->hwdvids_template_file.'/';
}
else
{
	$templateDirectoryUrl = JURI::root( true ).'/plugins/hwdps-template/'.$c->hwdvids_template_file.'/';
}
if($doc->getType() != 'raw')
{
	$doc->addCustomTag('<link rel="stylesheet" href="'.$templateDirectoryUrl.'template.css" type="text/css" />');
	$doc->addCustomTag('<link rel="stylesheet" href="'.$templateDirectoryUrl.'css/rating.css" type="text/css" />');
}

$nav_width = null;
if ($c->disable_nav_explor == "0") {$nav_width = $nav_width + 102;}
if ($c->disable_nav_catego == "0") {$nav_width = $nav_width + 102;}
if ($print_glink) {$nav_width = $nav_width + 102;}
if ($print_ulink) {$nav_width = $nav_width + 102;}

$smartyps->assign("ppr", $hwdpsTemplateOverride['ppr']);
$smartyps->assign("apr", $hwdpsTemplateOverride['apr']);
$smartyps->assign("cpr", $hwdpsTemplateOverride['cpr']);
$smartyps->assign("gpr", $hwdpsTemplateOverride['gpr']);
$smartyps->assign("hideSubcats", $hwdpsTemplateOverride['hideSubcats']);
$smartyps->assign("fp_apr", $hwdpsTemplateOverride['fp_apr']);

if ($hwdpsTemplateOverride['showPreview'] == 1)
{
	$smartyps->assign("showPreview", 1);
}
if ($hwdpsTemplateOverride['showFavourites'] == 1)
{
	$smartyps->assign("showFavourites", 1);
}
if ($hwdpsTemplateOverride['showReport'] == 1)
{
	$smartyps->assign("showReport", 1);
}
if ($hwdpsTemplateOverride['showEdit'] == 1)
{
	$smartyps->assign("showEdit", 1);
}

$psthumbsize = intval($c->resize_thumb)+10;
$psmainsize = intval($c->resize_main)+12;

$pspboxwidth = intval(100/$hwdpsTemplateOverride['ppr']);
$psaboxwidth = intval(100/$hwdpsTemplateOverride['apr']);
$pscboxwidth = intval(100/$hwdpsTemplateOverride['cpr']);
$psgboxwidth = intval(100/$hwdpsTemplateOverride['gpr']);

$ps_fp_aboxwidth = intval(100/$hwdpsTemplateOverride['fp_apr']);

$fp_center_width = intval($c->fp_width + 30);
$ps_photo_full = intval($c->resize_main);
$ps_photo_half = intval($c->resize_main/2);

$smartyps->assign("searchinput_alt", "<input name=\"pattern\" id=\"menudo_search_field\" type=\"text\" onblur=\"if(this.value=='') this.value='"._HWDPS_SEARCHBAR."';\" onfocus=\"if(this.value=='"._HWDPS_SEARCHBAR."') this.value='';\" value=\""._HWDPS_SEARCHBAR."\" class=\"field\" autocomplete=\"off\" maxlength=\"50\" />");

$css = "#hwdps_navcontainer
{
	width: ".$nav_width."px;
}

#hwdps_navcontainer ul li, #hwdps_navcontainer ul, #hwdps ul.tabbernav, #hwdps ul.tabbernav li
{
	list-style-image: url('".JURI::root( true )."/images/blank.png')!important;
	background-image: url('".JURI::root( true )."/images/blank.png')!important;
}

#hwdps_navcontainer ul li
{
	background: url('".$templateDirectoryUrl."images/button_nav_off.png') no-repeat top center;
}

#hwdps_navcontainer li#active
{
	background: url('".$templateDirectoryUrl."images/button_nav_on.png') no-repeat top center;
}

#hwdps_navcontainer ul li:hover
{
	background: url('".$templateDirectoryUrl."images/button_nav_hover.png') no-repeat top center;
}

#hwdps .box
{
	background: transparent url('".JURI::root( true )."/images/blank.png') no-repeat top center!important;
}

#hwdps .photoBox {
	width: ".$pspboxwidth ."%;
}

#hwdps .albumBox {
	width: ".$psaboxwidth ."%;
	float:left;
}

#hwdps .fpAlbumBox {
	width: ".$ps_fp_aboxwidth ."%;
	float:left;
}

#hwdps .groupBox {
	width: ".$psgboxwidth ."%;
	float:left;
}

#hwdps .categoryBox {
	width: ".$pscboxwidth ."%;
	float:left;
}

#hwdps .sic-center {
	width: ".$fp_center_width."px;
}

#hwdps .menudo_image {
	background:transparent url('".$templateDirectoryUrl."images/search_bar.png') no-repeat scroll 0px 0px;
}

#hwdps .photoContainer {
	display: table-cell;
	text-align: center!important;
	vertical-align: middle;
	height: ".$psthumbsize."px;
}
#hwdps .photoContainer * {
	vertical-align: middle;
}

#hwdps .photoContainer-h {
	display:inline;
	margin:0 auto;
}";

require_once(JPATH_SITE.DS.'administrator'.DS.'components'.DS.'com_hwdphotoshare'.DS.'helpers'.DS.'draw.php');
hwdpsDrawFile::processDynamicCSS($css, true);

return;
?>
