{* 
//////
//    @version [ Berkeley ]
//    @package hwdPhotoShare
//    @copyright (C) 2007 - 2009 Highwood Design
//    @license http://creativecommons.org/licenses/by-nc-nd/3.0/
//////
*}

{include file='header.tpl'}

{literal}
<script type="text/javascript">

document.write('<style type="text/css">.tabber{display:none;}<\/style>');

var tabberOptions = {

  'manualStartup':true,

  'onLoad': function(argsObj) {
    if (argsObj.tabber.id == 'tab2') {
      alert('Finished loading tab2!');
    }
  },

  'onClick': function(argsObj) {

    var t = argsObj.tabber; 
    var id = t.id; 
    var i = argsObj.index; 
    var e = argsObj.event;

    if (id == 'tab2') {
      return confirm('Swtich');
    }
  },

  'addLinkId': true

};
</script>
{/literal}
<script type="text/javascript" src="{$link_home}/plugins/hwdps-template/mixology/js/tabber.js"></script>


<div style="float:right;text-align:right;padding:5px;">{include file="navigation_selects.tpl"}</div>
<div class="standard">
    <h2>{$smarty.const._HWDPS_TITLE_CATEGORYA} ({$category_name})</h2>

        {if $print_albumlist ne 1 and $print_photolist ne 1 and $print_subcategories ne 1}<div class="padding">This category is empty.</div>{/if}
       
        <div class="tabber" id="tab1">
                        
            {if $print_albumlist and $print_album_display}
            <div class="tabbertab">
                <h2><a name="tab1">{$smarty.const._HWDPS_ALBUMS}</a></h2>
                    <div class="padding">
                    {foreach name=outer item=data from=$list_albums}
                        <div class="albumBox">
                            {include file="album_list.tpl"}
                        </div>
                        {if $smarty.foreach.outer.last}
                            <div style="clear:both;"></div>
                        {elseif $smarty.foreach.outer.index % $apr-($apr-1) == 0}
                            <div style="clear:both;"></div>
                        {/if}
                    {/foreach}
                    </div>
                    
                {$pageNavigation_albums}
            </div>
            {/if}

            {if $print_photolist}
            <div class="tabbertab">
                <h2><a name="tab1">{$smarty.const._HWDPS_PHOTOS}</a></h2>
		   {foreach name=outer item=data from=$list_photos}
		       {if $smarty.foreach.outer.index % $ppr-0 == 0}
			    <div class="photoRow">
		       {/if}

			  <div class="photoBox">
			      {include file="photo_list.tpl"}
			  </div>		       

		       {if $smarty.foreach.outer.last}
			    <div style="clear:both;"></div></div>
		       {elseif $smarty.foreach.outer.index % $ppr-($ppr-1) == 0}
			    <div style="clear:both;"></div></div>
		       {/if}
		   {/foreach}
                {$pageNavigation_photos}
            </div>
            {/if}

            
            {if $print_subcategories}
            <div class="tabbertab">
                <h2>{$smarty.const._HWDPS_SUBCATEGORIES}</h2>

			<div class="padding">

				{foreach name=outer item=data from=$list_subcats}

					{if $smarty.foreach.outer.first}
						<div class="categoryBox">
							<div class="padding">
					{elseif $data->level eq 0}
							</div>
						</div>
						<div class="categoryBox">
							<div class="padding">      
					{else}
					{/if}

						{include file="category_list.tpl"}

					{if $smarty.foreach.outer.last}
								<div style="clear:both;">
								</div>
							</div>
						</div>
					{elseif $smarty.foreach.outer.index % $cpr-($cpr-1) == 0}
						<!--<div style="clear:both;"></div>-->
					{/if}

					{if $data->level eq 0}
					{else}
					{/if}

				{/foreach}

				<div style="clear:both;"></div>

			</div>

            </div>
            {/if}
            
        </div>

</div>
	
<script type="text/javascript">
tabberAutomatic(tabberOptions);
</script>

{include file='footer.tpl'}

	

