<?php
/**
* @package   Template Overrides YOOtheme
* @version   1.5.9 2010-04-30 10:32:15
* @author    YOOtheme http://www.yootheme.com
* @copyright Copyright (C) 2007 - 2009 YOOtheme GmbH
* @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

$canEdit	= ($this->user->authorize('com_content', 'edit', 'content', 'all') || $this->user->authorize('com_content', 'edit', 'content', 'own'));



?>

<div class="item  <?php if ($this->item->state == 0) echo 'unpublished' ?>">
<?php 

if (($ini=strpos($this->item->text,"<img")) !== false) {
	$fin=strpos($this->item->text,">",$ini);
	$img = substr($this->item->text,$ini,$fin-$ini+1);
	$this->item->text = substr_replace($this->item->text, '', $ini,$fin-$ini+1);
	echo '<div class="cat_img">';
	echo $img;
	echo '</div>';
}
?>
<div class="cat<?php if ($this->item->params->get('show_create_date')){ ?>_rest<?php }?>">
		<?php if ($canEdit || 
		       $this->item->params->get('show_title') || 
			   $this->item->params->get('show_create_date')) : ?>
		<div class="headline">
					<?php if ($this->item->params->get('show_create_date')) : ?>
							<?php // echo $row->date;
						$month=array('01'=>'Jan','02'=>'Feb','03'=>'Mar','04'=>'Apr','05'=>'May','06'=>'Jun','07'=>'Jul','08'=>'Aug','09'=>'Sep','10'=>'Oct','11'=>'Nov','12'=>'Dec');
						list($date,$time)=explode(' ',$this->item->created);
						list($yy,$mm,$dd)=explode('-', $date);
						?>
					<div class="articlebadgeWrap">
						<acronym class="published" title="<?php echo $date_display; ?>">
						<span class="articlebadgeDay"><?php echo $dd; ?></span>
						<span class="articlebadgeMonth"><?php echo $month[$mm]; ?></span>
						</acronym>   
					</div>
			<?php endif; ?>
			<?php if ($this->item->params->get('show_title')) : ?>
			<h3 class="title">
				<?php if ($this->item->params->get('link_titles') && $this->item->readmore_link != '') : ?>
					<a href="<?php echo $this->item->readmore_link; ?>"><?php echo $this->escape($this->item->title); ?></a>
				<?php else : ?>
					<?php echo $this->escape($this->item->title); ?>
				<?php endif; ?>
			</h3>
			<?php endif; ?>
	

	
		</div>
		<?php endif; ?>
        <div class="articleinfo">
			 <?php if ( intval($this->item->modified) != 0 && $this->item->params->get('show_modify_date') || $this->item->params->get('show_create_date') || $this->item->params->get('show_url') || $this->item->params->get('show_author') || $this->item->params->get('show_pdf_icon') || 
			   $this->item->params->get('show_print_icon') || 
			   $this->item->params->get('show_email_icon')) : ?>
                   

				<?php if (($this->item->params->get('show_author')) && ($this->item->author != "")) : ?>
			<div class="author floatLeft">
				<?php JText::printf( 'Written by', ($this->escape($this->item->created_by_alias) ? $this->escape($this->item->created_by_alias) : $this->escape($this->item->author)) ); ?>
			</div>
			<?php endif; ?>
	
			<?php if ($this->item->params->get('show_url') && $this->item->urls) : ?>
			<div class="url floatLeft">
				<a href="http://<?php echo $this->escape($this->item->urls); ?>" target="_blank"><?php echo $this->escape($this->item->urls); ?></a>
			</div>
			<?php endif; ?>
			<?php if ( intval($this->item->modified) != 0 && $this->item->params->get('show_modify_date')) : ?>
			<div class="modified floatLeft">
				<?php echo JText::sprintf('LAST_UPDATED2', JHTML::_('date', $this->item->modified, JText::_('DATE_FORMAT_LC2'))); ?>
			</div>
            			<?php if ($canEdit) : ?>
			<span class="icon edit floatLeft">
				<?php echo JHTML::_('icon.edit', $this->item, $this->item->params, $this->access); ?>
			</span>
			<?php endif; ?>
		
			<?php if ($this->item->params->get('show_email_icon')) : ?>
			<span class="icon email floatLeft">
				<?php echo JHTML::_('icon.email', $this->item, $this->item->params, $this->access); ?>
			</span>
			<?php endif; ?>
		
			<?php if ( $this->item->params->get( 'show_print_icon' )) : ?>
			<span class="icon print floatLeft">
				<?php echo JHTML::_('icon.print_popup', $this->item, $this->item->params, $this->access); ?>
			</span>
			<?php endif; ?>
		
			<?php if ($this->item->params->get('show_pdf_icon')) : ?>
			<span class="icon pdf floatLeft">
				<?php echo JHTML::_('icon.pdf', $this->item, $this->item->params, $this->access); ?>
			</span>
			<?php endif; ?>
            
			<?php endif; ?>

            <?php endif; ?>
            		<?php if (($this->item->params->get('show_section') && $this->item->sectionid) || ($this->item->params->get('show_category') && $this->item->catid)) : ?>
		<div class="floatLeft">
        <?php echo JText::sprintf('Published In:');?>
			<?php if ($this->item->params->get('show_section') && $this->item->sectionid && isset($this->item->section)) : ?>
			<span>
				<?php if ($this->item->params->get('link_section')) : ?>
					<?php echo '<a href="'.JRoute::_(ContentHelperRoute::getSectionRoute($this->item->sectionid)).'">'; ?>
				<?php endif; ?>
				<?php echo $this->escape($this->item->section); ?>
				<?php if ($this->item->params->get('link_section')) : ?>
					<?php echo '</a>'; ?>
				<?php endif; ?>
					<?php if ($this->item->params->get('show_category')) : ?>
					<?php echo ' - '; ?>
				<?php endif; ?>
			</span>
			<?php endif; ?>
			<?php if ($this->item->params->get('show_category') && $this->item->catid) : ?>
			<span>
				<?php if ($this->item->params->get('link_category')) : ?>
					<?php echo '<a href="'.JRoute::_(ContentHelperRoute::getCategoryRoute($this->item->catslug, $this->item->sectionid)).'">'; ?>
				<?php endif; ?>
				<?php echo $this->escape($this->item->category); ?>
				<?php if ($this->item->params->get('link_category')) : ?>
					<?php echo '</a>'; ?>
				<?php endif; ?>
			</span>
			<?php endif; ?>
		</div>
		<?php endif; ?>	
                    <div style="clear:both;"></div>
            </div>
		<?php  if (!$this->item->params->get('show_intro')) :
			echo $this->item->event->afterDisplayTitle;
		endif; ?>
		
		<?php echo $this->item->event->beforeDisplayContent; ?>
		
	
		<?php if (isset ($this->item->toc)) : ?>
			<?php echo $this->item->toc; ?>
		<?php endif; ?>

        <?php
		echo $this->item->text; ?>
	
		<?php if ($this->item->params->get('show_readmore') && $this->item->readmore) : ?>
		<p class="readmore">
			<a href="<?php echo $this->item->readmore_link; ?>" class="readmore">
				<?php if ($this->item->readmore_register) :
					echo JText::_('Register to read more...');
				elseif ($readmore = $this->item->params->get('readmore')) :
					echo $readmore;
				else :
					echo JText::sprintf('Read more...');
				endif; ?></a>
		</p>
		<?php endif; ?>
	<span class="article_separator">&nbsp;</span>
		<?php echo $this->item->event->afterDisplayContent; ?>

	</div>
</div>
