<?php     
/*******************************************************************************
********************************************************************************
***                                                                          ***
***   XTC Template Framework 1.0                                             ***
***                                                                          ***
***   Copyright (c) 2010 Monev Software LLC                                  ***
***                                                                          ***
***   All Rights Reserved                                                    ***
***                                                                          ***
********************************************************************************
*******************************************************************************/
    
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

// ------------------------------------------------------------------------

if ( ! defined('modMainMenuXMLCallbackDefined') ) {
function modMainMenuXMLCallback(&$node, $args) {
	$user	= &JFactory::getUser();
	$menu	= &JSite::getMenu();    
	$active	= $menu->getActive(); 
	@$params = $menu->getParams($active->id); 
	$path	= isset($active) ? array_reverse($active->tree) : null;     

	if (($args['end']) && ($node->attributes('level') >= $args['end'])) { // delete menus after last li
		$children = $node->children();
		foreach ($node->children() as $child) {
			if ($child->name() == 'ul') {
				$node->removeChild($child);
			}
		}
	}  

	if ($node->name() == 'ul') {	// Validate user access
		foreach ($node->children() as $child) {
			if ($child->attributes('access') > $user->get('aid', 0)) {
				$node->removeChild($child);
			}     
		}       
		
		// Set Menu ID.
		$menuID =  $params->get( 'tag_id' );
		$node->addAttribute('id', $menuID);
		
		$nodeCount = count($node->children());   
		$l = $nodeCount;
		foreach ($node->children() as $i => $child) {	// Set position classes for each option
			if ($i == 0) { $child->addAttribute('first', 1); }
			elseif ($i == $l - 1) { $child->addAttribute('last', 1); }
			else { $child->addAttribute('center', 1); }
			$child->addAttribute('order', $i + 1);
		}   
		 
	}   

	if (($node->name() == 'li') && isset($node->ul)) { // Set li as parent if it has submenu
		$node->addAttribute('class', 'parent');
	}

	
	if ($node->name() == 'li') { 
		if ($node->attributes('first')) $node->addAttribute('class', $node->attributes('class').' first'); 
		if ($node->attributes('last')) $node->addAttribute('class', $node->attributes('class').' last'); 
		if ($node->attributes('center')) $node->addAttribute('class', $node->attributes('class').' center'); 
		if ($node->attributes('parent')) $node->addAttribute('class', $node->attributes('class').' parent'); 
		if ($node->attributes('order'))  $node->addAttribute('class', $node->attributes('class'). ' order' . $node->attributes('order'));  
	}

	if (isset($path) && (in_array($node->attributes('id'), $path) || in_array($node->attributes('rel'), $path))) {
		if ($node->attributes('class')) {
			$node->addAttribute('class', $node->attributes('class').' active');
		} else {
			$node->addAttribute('class', 'active');
		}
	}
	else {
		if (isset($args['children']) && !$args['children']) {
			$children = $node->children();
			foreach ($node->children() as $child) {
				if ($child->name() == 'ul') {
					$node->removeChild($child);
				}
			}
		}
	}

	if (($node->name() == 'li') && ($id = $node->attributes('id'))) {
		if ($node->attributes('class')) {
			$node->addAttribute('class', $node->attributes('class').' item'.$id);
		} else {
			$node->addAttribute('class', 'item'.$id);
		}
	}

	if (isset($path) && $node->attributes('id') == $path[0]) {
		$node->addAttribute('id', 'current');
	} else {
		$node->removeAttribute('id');
	} 
	
	// CLeanup classes
	$node->removeAttribute('rel');
	$node->removeAttribute('level');
	$node->removeAttribute('access'); 
	$node->removeAttribute('first');
	$node->removeAttribute('last');
	$node->removeAttribute('order');
	$node->removeAttribute('center');
	$node->removeAttribute('parent');

}
	define('modMainMenuXMLCallbackDefined', true);
}

modMainMenuHelper::render($params, 'modMainMenuXMLCallback');
